about summary refs log tree commit diff stats
path: root/pkgs/by-name/ll/ll/ll.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/by-name/ll/ll/ll.sh')
-rwxr-xr-xpkgs/by-name/ll/ll/ll.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/pkgs/by-name/ll/ll/ll.sh b/pkgs/by-name/ll/ll/ll.sh
index 73328e3e..3fb8d9aa 100755
--- a/pkgs/by-name/ll/ll/ll.sh
+++ b/pkgs/by-name/ll/ll/ll.sh
@@ -1,9 +1,10 @@
 #!/usr/bin/env dash
 
-# shellcheck source=/dev/null
-SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
-
 last_directory="$(mktemp)"
+cleanup() {
+    rm "$last_directory"
+}
+trap cleanup EXIT
 
 command lf -last-dir-path="$last_directory" "$@"
 
@@ -15,5 +16,4 @@ else
     die "$dir does not exist!"
 fi
 
-rm "$last_directory"
 # vim: ft=sh